// JavaScript Document
function aliaddone() {
	var url;
	//VGdocumento=document.getElementById("tdocumento").value
	//VGempresa=document.getElementById("tempresa").value
	//VGnumero=document.getElementById("tnumero").value
	//VGprefijo=document.getElementById("tprefijo").value
	if (VGdocumento!="" && VGempresa!=""){ 
		url="&tipo="+"l";
		url+="&documento="+VGdocumento;
		url+="&tipod="+VGtipod;
		url+="&accion="+"NE";
		url+="&empresa="+VGempresa;
	
		console.log(url);
		doAjax('controllers/aliaddofes/',url,'resp_ne_ali','gets','0','Ccargar');
	}else{alert("Debe seleccionar Factura y empresa")}
}

function resp_ne_ali(ResTex) {
	console.log(ResTex);
	var Api_url=''
	var myHeaders = new Headers();
	myHeaders.append("Content-Type", "application/json");
	//Detalle="";
	var oJsonDatos = JSON.parse(ResTex);
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
			JsonFe=ResTex;
			var oJsonDatos = JSON.parse(JsonFe);
	        var NJsonItem=oJsonDatos.Datos.length;
			RowArray=0
			var Datofe=oJsonDatos.Datos[RowArray].json;
			VGkeyApi=oJsonDatos.Datos[RowArray].keyfel.trim();
			//if(oJsonDatos.Datos[RowArray].provtec.trim()=='dataico'){
			//	myHeaders.append("auth-token", VGkeyApi);
			//}
			//if(oJsonDatos.Datos[RowArray].provtec.trim()=='aliaddo'){
				myHeaders.append("x-api-key", VGkeyApi);
			//	alert("aqui ali")
			//}
			VGrutaApi=oJsonDatos.Datos[RowArray].rutfel.trim();
			if(VGaccion=="NE"){
			Api_url=VGrutaApi+oJsonDatos.Datos[RowArray].modope.trim()+"/"+oJsonDatos.Datos[RowArray].anio+"/"+oJsonDatos.Datos[RowArray].mes
			}
			if(VGaccion=="RNE"){
			Api_url=VGrutaApi+oJsonDatos.Datos[RowArray].modope.trim()+"/replace/"+oJsonDatos.Datos[RowArray].anio+"/"+oJsonDatos.Datos[RowArray].mes
			}
			if(oJsonDatos.Datos[RowArray].tesidne.trim()!=''){
				Api_url=Api_url+"/"+oJsonDatos.Datos[RowArray].tesidne.trim()
			}
			
		}else{
			alert("no hay registro de este documento");
			return
	   	}
	}else{
		alert("no hay registro de este documento");
		return
    }
	console.log(Api_url);
	//Detalle+="</div>";
	//document.getElementById("mdi_menu").innerHTML=Detalle;
	//alert(Datofe)
	fetch(Api_url, {
  		method: 'POST',
  		body:Datofe,
		headers: {
    		'Content-Type': 'application/json',
    		'x-api-key': 'key-10265fe77ce645c7baf5779b0aee5ec7-022618'
  		}
		//headers: myHeaders
	})
	.then(res => res.json())
  	.then(response => {
	  console.log(response)
	  alert(response.cune)
	  mostrar_ne_ali(VGdocumento,response.cune,response.id,response.codigoQr,response.fechaGeneracion,response.urlXml)
	  } )
  	.catch(error => console.error('Error:', error))
}

function mostrar_ne_ali(cNne,rcune,rid,rqr,fching,rxml){ 
	alert(cNne)
		var rcufe=""
		var rest=""
		var rzip=""
		var rpdf=""
		var rnum=cNne
		document.getElementById("app").innerHTML="<div>Cune:"+rcune+"</div>";
		//Acctualizando e del Doc. E.
		url="&tipo="+"l";
		url+="&documento="+VGdocumento;
		url+="&empresa="+VGempresa;
		url+="&rpdf="+rpdf;
		url+="&rid="+rid;
		url+="&rxml="+rxml;
		url+="&rzip="+rzip;
		url+="&rcufe="+rcufe;
		url+="&rcune="+rcune;
		url+="&rfecha="+fching;
		url+="&rqr="+rqr;
		url+="&rest="+rest;
		console.log(url);
		//if(sw==1){
			doAjax('controllers/updatedes/',url,'resp_updatene','post','0','Ccargar');
		//}else{
		//	return
		//}
	} 

function resp_updatene(ResTex) {
	console.log(ResTex)
	console.log("PROCESADO");
	}